Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class PlanningVariableDescriptor

    java.lang.Object
      org.drools.planner.core.domain.variable.PlanningVariableDescriptor

    public class PlanningVariableDescriptor

extends Object

Constructor Summary
`PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor, PropertyDescriptor variablePropertyDescriptor)`

Method Summary
`void` | `addDependentPlanningVariableDescriptor(DependentPlanningVariableDescriptor dependentPlanningVariableDescriptor)`
`Collection<?>` | `extractAllPlanningValues(Solution solution)`
`Collection<?>` | `extractPlanningValues(Solution solution, Object planningEntity)`
`Collection<DependentPlanningVariableDescriptor>` | `getDependentPlanningVariableDescriptors()`
`PlanningEntityDescriptor` | `getPlanningEntityDescriptor()`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`Object` | `getValue(Object planningEntity)`
`PlanningValueSorter` | `getValueSorter()` Deprecated.
`String` | `getVariableName()`
`Class<?>` | `getVariablePropertyType()`
`boolean` | `isChained()`
`boolean` | `isContinuous()`
`boolean` | `isInitialized(Object planningEntity)` Deprecated.
`boolean` | `isNullable()`
`boolean` | `isPlanningValuesCacheable()` Deprecated.
`void` | `processAnnotations()`
`void` | `setValue(Object planningEntity, Object value)`
`String` | `toString()`
`void` | `uninitialize(Object planningEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlanningVariableDescriptor

    public PlanningVariableDescriptor(PlanningEntityDescriptor planningEntityDescriptor,
                                      PropertyDescriptor variablePropertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations()

### addDependentPlanningVariableDescriptor

    public void addDependentPlanningVariableDescriptor(DependentPlanningVariableDescriptor dependentPlanningVariableDescriptor)

### getPlanningEntityDescriptor

    public PlanningEntityDescriptor getPlanningEntityDescriptor()

### getVariableName

    public String getVariableName()

### getVariablePropertyType

    public Class<?> getVariablePropertyType()

### isContinuous

    public boolean isContinuous()

  Returns:
    true if the value range is continuous (as in for example every double value between 1.2 and 1.4)

### isChained

    public boolean isChained()

### isNullable

    public boolean isNullable()

### getDependentPlanningVariableDescriptors

    public Collection<DependentPlanningVariableDescriptor> getDependentPlanningVariableDescriptors()

### isInitialized

    @Deprecated
    public boolean isInitialized(Object planningEntity)

  Deprecated.

### uninitialize

    public void uninitialize(Object planningEntity)

### getValue

    public Object getValue(Object planningEntity)

### setValue

    public void setValue(Object planningEntity,
                         Object value)

### extractAllPlanningValues

    public Collection<?> extractAllPlanningValues(Solution solution)

### extractPlanningValues

    public Collection<?> extractPlanningValues(Solution solution,
                                               Object planningEntity)

### isPlanningValuesCacheable

    @Deprecated
    public boolean isPlanningValuesCacheable()

  Deprecated.

### getValueSorter

    @Deprecated
    public PlanningValueSorter getValueSorter()

  Deprecated.

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.